Change rows in kit templates: Kit templates, every version of each, with how many lines it has and how many kits were assembled to it.
curl --request PATCH \
--url https://app.assetinfinity.ai/api/kit_templates \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"created_at": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kit_count": 123,
"line_count": 123,
"name": "<string>",
"published_at": "<string>",
"row_version": 123,
"status": "<string>",
"updated_at": "<string>",
"version_number": 123
}
'import requests
url = "https://app.assetinfinity.ai/api/kit_templates"
payload = {
"code": "<string>",
"created_at": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kit_count": 123,
"line_count": 123,
"name": "<string>",
"published_at": "<string>",
"row_version": 123,
"status": "<string>",
"updated_at": "<string>",
"version_number": 123
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
code: '<string>',
created_at: '<string>',
description: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
kit_count: 123,
line_count: 123,
name: '<string>',
published_at: '<string>',
row_version: 123,
status: '<string>',
updated_at: '<string>',
version_number: 123
})
};
fetch('https://app.assetinfinity.ai/api/kit_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.assetinfinity.ai/api/kit_templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'code' => '<string>',
'created_at' => '<string>',
'description' => '<string>',
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'kit_count' => 123,
'line_count' => 123,
'name' => '<string>',
'published_at' => '<string>',
'row_version' => 123,
'status' => '<string>',
'updated_at' => '<string>',
'version_number' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.assetinfinity.ai/api/kit_templates"
payload := strings.NewReader("{\n \"code\": \"<string>\",\n \"created_at\": \"<string>\",\n \"description\": \"<string>\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"kit_count\": 123,\n \"line_count\": 123,\n \"name\": \"<string>\",\n \"published_at\": \"<string>\",\n \"row_version\": 123,\n \"status\": \"<string>\",\n \"updated_at\": \"<string>\",\n \"version_number\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.assetinfinity.ai/api/kit_templates")
.header("Content-Type", "application/json")
.body("{\n \"code\": \"<string>\",\n \"created_at\": \"<string>\",\n \"description\": \"<string>\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"kit_count\": 123,\n \"line_count\": 123,\n \"name\": \"<string>\",\n \"published_at\": \"<string>\",\n \"row_version\": 123,\n \"status\": \"<string>\",\n \"updated_at\": \"<string>\",\n \"version_number\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.assetinfinity.ai/api/kit_templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"code\": \"<string>\",\n \"created_at\": \"<string>\",\n \"description\": \"<string>\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"kit_count\": 123,\n \"line_count\": 123,\n \"name\": \"<string>\",\n \"published_at\": \"<string>\",\n \"row_version\": 123,\n \"status\": \"<string>\",\n \"updated_at\": \"<string>\",\n \"version_number\": 123\n}"
response = http.request(request)
puts response.read_bodyKits
Change rows in kit templates: Kit templates, every version of each, with how many lines it has and how many kits were assembled to it.
Kit templates, every version of each, with how many lines it has and how many kits were assembled to it.
PATCH
/
kit_templates
Change rows in kit templates: Kit templates, every version of each, with how many lines it has and how many kits were assembled to it.
curl --request PATCH \
--url https://app.assetinfinity.ai/api/kit_templates \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"created_at": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kit_count": 123,
"line_count": 123,
"name": "<string>",
"published_at": "<string>",
"row_version": 123,
"status": "<string>",
"updated_at": "<string>",
"version_number": 123
}
'import requests
url = "https://app.assetinfinity.ai/api/kit_templates"
payload = {
"code": "<string>",
"created_at": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kit_count": 123,
"line_count": 123,
"name": "<string>",
"published_at": "<string>",
"row_version": 123,
"status": "<string>",
"updated_at": "<string>",
"version_number": 123
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
code: '<string>',
created_at: '<string>',
description: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
kit_count: 123,
line_count: 123,
name: '<string>',
published_at: '<string>',
row_version: 123,
status: '<string>',
updated_at: '<string>',
version_number: 123
})
};
fetch('https://app.assetinfinity.ai/api/kit_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.assetinfinity.ai/api/kit_templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'code' => '<string>',
'created_at' => '<string>',
'description' => '<string>',
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'kit_count' => 123,
'line_count' => 123,
'name' => '<string>',
'published_at' => '<string>',
'row_version' => 123,
'status' => '<string>',
'updated_at' => '<string>',
'version_number' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.assetinfinity.ai/api/kit_templates"
payload := strings.NewReader("{\n \"code\": \"<string>\",\n \"created_at\": \"<string>\",\n \"description\": \"<string>\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"kit_count\": 123,\n \"line_count\": 123,\n \"name\": \"<string>\",\n \"published_at\": \"<string>\",\n \"row_version\": 123,\n \"status\": \"<string>\",\n \"updated_at\": \"<string>\",\n \"version_number\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.assetinfinity.ai/api/kit_templates")
.header("Content-Type", "application/json")
.body("{\n \"code\": \"<string>\",\n \"created_at\": \"<string>\",\n \"description\": \"<string>\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"kit_count\": 123,\n \"line_count\": 123,\n \"name\": \"<string>\",\n \"published_at\": \"<string>\",\n \"row_version\": 123,\n \"status\": \"<string>\",\n \"updated_at\": \"<string>\",\n \"version_number\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.assetinfinity.ai/api/kit_templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"code\": \"<string>\",\n \"created_at\": \"<string>\",\n \"description\": \"<string>\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"kit_count\": 123,\n \"line_count\": 123,\n \"name\": \"<string>\",\n \"published_at\": \"<string>\",\n \"row_version\": 123,\n \"status\": \"<string>\",\n \"updated_at\": \"<string>\",\n \"version_number\": 123\n}"
response = http.request(request)
puts response.read_bodyHeaders
Preference
Available options:
return=representation, return=minimal, return=none Query Parameters
Body
application/jsonapplication/vnd.pgrst.object+jsonapplication/vnd.pgrst.object+json;nulls=strippedtext/csv
kit_templates
Kit templates, every version of each, with how many lines it has and how many kits were assembled to it.
Maximum string length:
60Note: This is a Primary Key.
Maximum string length:
200Maximum string length:
20Response
204
No Content
⌘I

